package net.pleus.services.calculator.api;


import net.pleus.services.calculator.api.model.*;

/**
 * Service Interface
 * @author Wolfgang Pleus
 */

public interface Calculator{

	/**
	 * Performs a calculation
	 * @param request {@link net.pleus.services.calculator.api.model.PerformCalculationRequest}
	 * @return response {@link net.pleus.services.calculator.api.model.PerformCalculationResponse}
	 * @throws CalculatorException {@link net.pleus.services.calculator.api.CalculatorException}
	 */
	public PerformCalculationsResponse performCalculations(PerformCalculationsRequest request) throws CalculatorException;
}
